
'*File:  api.bas
'*Purpose: API declarations to read the .ini file

Declare Function GetPrivateProfileString Lib "Kernel" (ByVal lpApplicationName As Any, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer, ByVal lpFileName As String) As Integer
Declare Function WritePrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpString As String, ByVal lplFileName As String) As Integer

'Read Only Function
Declare Function GetFocus Lib "User" () As Integer
Declare Function SendMessage Lib "User" (ByVal hWnd%, ByVal wMsg%, ByVal wParam%, ByVal lParam&) As Long

Declare Function GetFreeSystemResources Lib "User" (ByVal fuSysResource As Integer) As Integer

Global Const WM_USER = &H400
Global Const EM_SETREADONLY = (WM_USER + 31)

'Functions to get system resources (CPU, memory etc)

' Constants for GetWinFlags
Global Const WF_CPU286 = &H2
Global Const WF_CPU386 = &H4
Global Const WF_CPU486 = &H8
Global Const WF_80x87 = &H400
Global Const WF_STANDARD = &H10
Global Const WF_ENHANCED = &H20

' Type for SystemHeapInfo
Type SYSHEAPINFO
    dwSize As Long
    wUserFreePercent As Integer
    wGDIFreePercent As Integer
    hUserSegment As Integer
    hGDISegment As Integer
End Type

Declare Function GetVersion Lib "Kernel" () As Integer
Declare Function GetWinFlags Lib "Kernel" () As Long
Declare Function GetFreeSpace Lib "Kernel" (ByVal wFlags As Integer) As Long
Declare Function GlobalCompact Lib "Kernel" (ByVal dwMinFree As Long) As Long
Declare Function SystemHeapInfo Lib "toolhelp.dll" (shi As SYSHEAPINFO) As Integer

Function csRStrip (Text As String) As String
    
'*Purpose: Strip all control codes from the right side of a string
'*Function: Loop input and not output till valid character
'*NOTE: Necessary as SYBASE padds data with ASCII 0
'*Input: Text         string to clean
'Check last character for being control, if so remove and loop

    Dim x As Integer
    
    For x% = Len(Text$) To 1 Step -1
        If Asc(Mid$(Text$, x%)) > ASCII_SPACE% Then
            Exit For
        End If
    Next x%

    csRStrip$ = Mid$(Text$, 1, x%)

End Function

